/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'hreducationid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'hreducationname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'hremployeename',
        prop: 'hremployeename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'degree',
        prop: 'degree',
        dataType: 'SSCODELIST',
      },
      {
        name: 'begintime',
        prop: 'begintime',
        dataType: 'DATE',
      },
      {
        name: 'endtime',
        prop: 'endtime',
        dataType: 'DATE',
      },
      {
        name: 'school',
        prop: 'school',
        dataType: 'TEXT',
      },
      {
        name: 'subject',
        prop: 'subject',
        dataType: 'TEXT',
      },
      {
        name: 'major',
        prop: 'major',
        dataType: 'TEXT',
      },
      {
        name: 'learnmodality',
        prop: 'learnmodality',
        dataType: 'SSCODELIST',
      },
      {
        name: 'schooltype',
        prop: 'schooltype',
        dataType: 'SSCODELIST',
      },
      {
        name: 'firstdegreeflag',
        prop: 'firstdegreeflag',
        dataType: 'YESNO',
      },
      {
        name: 'highdegreeflag',
        prop: 'highdegreeflag',
        dataType: 'YESNO',
      },
      {
        name: 'attachment2',
        prop: 'attachment2',
        dataType: 'TEXT',
      },
      {
        name: 'attachment1',
        prop: 'attachment1',
        dataType: 'TEXT',
      },
      {
        name: 'attachment',
        prop: 'attachment',
        dataType: 'TEXT',
      },
      {
        name: 'attachment3',
        prop: 'attachment3',
        dataType: 'TEXT',
      },
      {
        name: 'hremployeeid',
        prop: 'hremployeeid',
        dataType: 'PICKUP',
      },
      {
        name: 'hreducationid',
        prop: 'hreducationid',
        dataType: 'GUID',
      },
      {
        name: 'hreducation',
        prop: 'hreducationid',
        dataType: 'FONTKEY',
      },
    ]
  }

}